##  for Mageia 9  ##

%define ver 20231123
%define rel 1
%define fontdir %{_datadir}/fonts/TTF/migmix

%define ipa_ver   00303
%define mplus_ver 063a

Name:    fonts-ttf-migmix
Summary: MigMix fonts
Summary(ja): MigMix フォント
Version: %{ver}
Release: %{rel}.np9
Group:   System/Fonts/True type
License: IPA Font License
URL:     https://itouhiro.github.io/mixfont-mplus-ipa/migmix/

Source0: migmix-1p-20200307.zip
Source1: migmix-2p-20231123.zip
Source2: migmix-1m-20200307.zip
Source3: migmix-2m-20231123.zip


BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: mkfontdir, mkfontscale
Obsoletes: fonts-ttf-japanese-migmix =< 20200307

%description
MigMix font are combined fonts that use IPA Gothic and M+ fonts.
This package includes four fonts.
  MigMix 1M
  MigMix 1P
  MigMix 2M
  MigMix 2P

- https://itouhiro.github.io/mixfont-mplus-ipa/migmix/

%description -l ja
MigMix（ミグミックス）フォントは、IPA ゴシック と M+ フォント の合成フォントです。
このパッケージでは下記の4種類のフォントを収録しています。
  MigMix 1M
  MigMix 1P
  MigMix 2M
  MigMix 2P

MigMixフォントの詳細は下記のページを参照してください。
- https://itouhiro.github.io/mixfont-mplus-ipa/migmix/


%prep
%setup -T -n migmix -c
unzip %{SOURCE0} && mv migmix-1p-20200307 1P
unzip %{SOURCE1} && mv migmix-2p-20231123 2P
unzip %{SOURCE2} && mv migmix-1m-20200307 1M
unzip %{SOURCE3} && mv migmix-2m-20231123 2M


%build


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{fontdir}
install -m644 {1P/*.ttf,2P/*.ttf,1M/*.ttf,2M/*.ttf} $RPM_BUILD_ROOT/%{fontdir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{fontdir} $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/ttf-migmix:pri=50

mkfontscale $RPM_BUILD_ROOT%{fontdir}
mkfontdir $RPM_BUILD_ROOT%{fontdir}

cp 1P/migmix-README.txt .
cp -r 1P/ipag%{ipa_ver} .
cp -r 1P/mplus-TESTFLIGHT-%{mplus_ver} .


%files
%defattr(-,root,root)
%doc migmix-README.txt ipag%{ipa_ver} mplus-TESTFLIGHT-%{mplus_ver}
%{fontdir}/*.ttf
%{fontdir}/fonts.*
%{_sysconfdir}/X11/fontpath.d/*


%changelog
* Mon Mar 04 2024 tomcat <> 20231123-1.np9
- update Source1 (MigMix 2P) to 20231123
- update Source3 (MigMix 2M) to 20231123
- fix URL

* Sun Feb 26 2023 tomcat <> 20200307-1.np9
- build for Mageia 9
